<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.gyee.frame.mapper.ticket.WfassignmentMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.gyee.frame.model.ticket.Wfassignment">
        <id column="ID" property="id" />
        <result column="DESCRIPTION" property="description" />
        <result column="ASSIGNCODE" property="assigncode" />
        <result column="APP" property="app" />
        <result column="STARTDATE" property="startdate" />
        <result column="EMAILNOTIFY" property="emailnotify" />
        <result column="ASSIGNSTATUS" property="assignstatus" />
        <result column="WFINSTID" property="wfinstid" />
        <result column="WFNAME" property="wfname" />
        <result column="WFREVISION" property="wfrevision" />
        <result column="INITPERSON" property="initperson" />
        <result column="OWNERTABLE" property="ownertable" />
        <result column="OWNERID" property="ownerid" />
        <result column="WFROLE" property="wfrole" />
        <result column="DEALTIMEOUT" property="dealtimeout" />
        <result column="UPWFROLE" property="upwfrole" />
        <result column="LASTMEMO" property="lastmemo" />
        <result column="DEALTYPE" property="dealtype" />
        <result column="PRIORITY" property="priority" />
        <result column="ENDDATE" property="enddate" />
        <result column="NODEID" property="nodeid" />
        <result column="TASKID" property="taskid" />
        <result column="NEEDPASS" property="needpass" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        ID, DESCRIPTION, ASSIGNCODE, APP, STARTDATE, EMAILNOTIFY, ASSIGNSTATUS, WFINSTID, WFNAME, WFREVISION, INITPERSON, OWNERTABLE, OWNERID, WFROLE, DEALTIMEOUT, UPWFROLE, LASTMEMO, DEALTYPE, PRIORITY, ENDDATE, NODEID, TASKID, NEEDPASS
    </sql>

</mapper>
